%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%{!?fedoraver: %define fedoraver  %(test -e /etc/fedora-release && rpm -q fedora-release --qf "%{VERSION}")}

Name:		fwfstab
Version:		0.01.1
Release:		1%{?dist}
BuildArch:	noarch
Summary:	A graphical file system table editor

Group:		Applications/System
License:		GPL
URL:		http://www.diffingo.com/content/view/32/45/lang,en/
Source0:		http://www.diffingo.com/downloads/fwfstab/fwfstab-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		desktop-file-utils
Requires:		pygtk2 pygtk2-libglade redhat-artwork usermode
%description
fwfstab is a graphical file system table (fstab) editor, used to edit the 
/etc/fstab file. It lets users add, edit or remove new entries in a simple,
straight-forward way. It is meant to make the task of editing the file
system table easier without sacrificing flexibility.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d -p -m755 ${RPM_BUILD_ROOT}%{_bindir}

install -D -p -m644 etc/pam.d/fwfstab ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/fwfstab

install -D -p -m644 etc/security/console.apps/fwfstab ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/fwfstab

install -D -p -m755 usr/share/fwfstab/fwfstab-runapp.py ${RPM_BUILD_ROOT}%{_datadir}/fwfstab/fwfstab-runapp.py

install -D -p -m644 usr/lib/python2.4/site-packages/fwfstab/__init__.py ${RPM_BUILD_ROOT}%{python_sitelib}/fwfstab/__init__.py

install -D -p -m644 usr/lib/python2.4/site-packages/fwfstab/BaseClasses.py ${RPM_BUILD_ROOT}%{python_sitelib}/fwfstab/BaseClasses.py

install -D -p -m644 usr/lib/python2.4/site-packages/fwfstab/Callbacks.py ${RPM_BUILD_ROOT}%{python_sitelib}/fwfstab/Callbacks.py

install -D -p -m644 usr/share/fwfstab/mountoptions ${RPM_BUILD_ROOT}%{_datadir}/fwfstab/mountoptions

install -D -p -m644 usr/share/fwfstab/fwfstab.glade ${RPM_BUILD_ROOT}%{_datadir}/fwfstab/fwfstab.glade

install -D -p -m755 usr/sbin/fwfstab ${RPM_BUILD_ROOT}%{_sbindir}/fwfstab

ln -sf ../../../usr/bin/consolehelper ${RPM_BUILD_ROOT}%{_bindir}/fwfstab

desktop-file-install --vendor fedora\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
	--add-category X-Fedora\
	usr/share/applications/fwfstab.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datadir}/fwfstab
%dir %{python_sitelib}/fwfstab

%{_bindir}/fwfstab
%{_sbindir}/fwfstab
%{_datadir}/fwfstab/*
%{_datadir}/applications/fedora-*.desktop
%{python_sitelib}/fwfstab/*

%config(noreplace) %{_sysconfdir}/security/console.apps/fwfstab
%config(noreplace) %{_sysconfdir}/pam.d/fwfstab

%doc README COPYING CHANGELOG

%changelog

* Thu Nov 2 2006 Stewart Adam <s DOT adam AT diffingo DOT com> 0.01.1-1
- Update to 0.01.1

* Wed Nov 1 2006 Stewart Adam <s DOT adam AT diffingo DOT com> 0.01-3
- Bug fixes... Mount point comes before filesystem in /etc/fstab!

* Mon Oct 29 2006 Stewart Adam <s DOT adam AT diffingo DOT com> 0.01-2
- Fix error with comments in fstab
- Don't quit when there's an error parsing the fstab

* Sat Oct 28 2006 Stewart Adam <s DOT adam AT diffingo DOT com> 0.01-1
- Initial build

